Database restoration fails: Your password does not satisfy the current policy requirements

Created:

2017-06-05 18:19:25 UTC

Modified:

2017-08-16 16:57:40 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Database restoration fails: Your password does not satisfy the current policy requirements

Applicable to:

  • Plesk for Linux

Symptoms

Error when restoring databases on the new server:

Warning: Restore domain "example.com" 
Failed deployment of database database_name (domain example.com)
Warning:
Execution of /usr/local/psa/admin/plib/api-cli/database.php --update database_name -add_user john.doe -type mysql -server example.com:3306 -set-acl % -passwd '' -ignore-nonexistent-options failed with return code 1.
Unable to create database user: Your password does not satisfy the current policy requirements

Cause

This is Plesk internal issue with id #PPPM-6445, which is planned to be fixed in future Plesk updates.

Resolution

  1. Temporally set password strength policy on MySQL server to Low .
  2. Restore databases.
  3. Change passwords to stronger ones.
  4. Change the policy back to needed level of security: Medium , Strong , etc.
Have more questions? Submit a request
Please sign in to leave a comment.